﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,0);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageHeight);
			straw.x = stage.stageWidth;
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
internal class Straw extends Sprite
{
	var _height:Number;
	public function Straw(height:Number):void
	{
		_height = height;
		this.graphics.beginFill(0x000000);
		this.graphics.drawRect(0,0,1,Math.random()*850);
		this.graphics.endFill();
		this.addEventListener(Event.ENTER_FRAME,enterHandler);
	}
	private function enterHandler(e:Event):void
	{
		if(this.x <= parent.mouseX){
			var f:Number = parent.mouseX-this.x;
			var c:Number = parent.mouseY-this.y;
			var alpha:Number = Math.tan(f/Math.sqrt(f*c + c*f))*180/Math.PI;
			if(Math.sqrt(f*c + c*f)>=_height){
				(this.rotation<0)?this.rotation++:this.rotation=180;
			}else{
				this.rotation = alpha;
			}
		}
		if(this.x<=0 && this.rotation==0){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=1;
		}
	}
}